Package org.flowable.engine.delegate.event.impl

# Class FlowableMultiInstanceActivityCompletedEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableMultiInstanceActivityEventImpl
org.flowable.engine.delegate.event.impl.FlowableMultiInstanceActivityCompletedEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableMultiInstanceActivityCompletedEvent`, `FlowableMultiInstanceActivityEvent`, `FlowableProcessEngineEvent`

public class FlowableMultiInstanceActivityCompletedEventImpl extends FlowableMultiInstanceActivityEventImpl implements FlowableMultiInstanceActivityCompletedEvent
Implementation of an `FlowableMultiInstanceActivityCompletedEvent`.

Author:
  Robert Hafner

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `numberOfActiveInstances`
  `protected int`
  `numberOfCompletedInstances`
  `protected int`
  `numberOfInstances`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableMultiInstanceActivityEventImpl

  `sequential`

  ### Fields inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `activityId, activityName, activityType, behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableMultiInstanceActivityCompletedEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getNumberOfActiveInstances()`
  `int`
  `getNumberOfCompletedInstances()`
  `int`
  `getNumberOfInstances()`
  `void`
  `setNumberOfActiveInstances(int numberOfActiveInstances)`
  `void`
  `setNumberOfCompletedInstances(int numberOfCompletedInstances)`
  `void`
  `setNumberOfInstances(int numberOfInstances)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableMultiInstanceActivityEventImpl

  `isSequential, setSequential`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

  `getActivityId, getActivityName, getActivityType, getBehaviorClass, setActivityId, setActivityName, setActivityType, setBehaviorClass`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableActivityEvent

  `getActivityId, getActivityName, getActivityType, getBehaviorClass`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

  ### Methods inherited from interface org.flowable.engine.delegate.event.FlowableMultiInstanceActivityEvent

  `isSequential`

- ## Field Details

  - ### numberOfInstances

    protected int numberOfInstances

  - ### numberOfActiveInstances

    protected int numberOfActiveInstances

  - ### numberOfCompletedInstances

    protected int numberOfCompletedInstances

- ## Constructor Details

  - ### FlowableMultiInstanceActivityCompletedEventImpl

    public FlowableMultiInstanceActivityCompletedEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getNumberOfInstances

    public int getNumberOfInstances()
    Specified by:
      `getNumberOfInstances` in interface `FlowableMultiInstanceActivityCompletedEvent`

  - ### setNumberOfInstances

    public void setNumberOfInstances(int numberOfInstances)

  - ### getNumberOfActiveInstances

    public int getNumberOfActiveInstances()
    Specified by:
      `getNumberOfActiveInstances` in interface `FlowableMultiInstanceActivityCompletedEvent`

  - ### setNumberOfActiveInstances

    public void setNumberOfActiveInstances(int numberOfActiveInstances)

  - ### getNumberOfCompletedInstances

    public int getNumberOfCompletedInstances()
    Specified by:
      `getNumberOfCompletedInstances` in interface `FlowableMultiInstanceActivityCompletedEvent`

  - ### setNumberOfCompletedInstances

    public void setNumberOfCompletedInstances(int numberOfCompletedInstances)